Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Class DdlParserConfig

    java.lang.Object
      org.modeshape.common.component.ComponentConfig
          org.modeshape.sequencer.ddl.DdlParserConfig

All Implemented Interfaces:
  Comparable<ComponentConfig>

    public class DdlParserConfig

extends ComponentConfig

A `ComponentConfig` implementation to support various parser configurations.

Constructor Summary
`DdlParserConfig(String name, String description, Class<? extends DdlParser> clazz)`
`DdlParserConfig(String name, String description, Map<String,Object> properties, Class<? extends DdlParser> clazz)`
`DdlParserConfig(String name, String description, Map<String,Object> properties, String classname, String[] classpath)`

Method Summary

Methods inherited from class org.modeshape.common.component.ComponentConfig
`compareTo, equals, getComponentClassname, getComponentClasspath, getComponentClasspathArray, getDescription, getName, getProperties, getTimestamp, hasChanged, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DdlParserConfig

    public DdlParserConfig(String name,
                           String description,
                           Map<String,Object> properties,
                           String classname,
                           String[] classpath)

### DdlParserConfig

    public DdlParserConfig(String name,
                           String description,
                           Map<String,Object> properties,
                           Class<? extends DdlParser> clazz)

### DdlParserConfig

    public DdlParserConfig(String name,
                           String description,
                           Class<? extends DdlParser> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.